name: frontend
version: 0.1
cabal-version: >= 1.8
build-type: Simple

library
  hs-source-dirs: src
  build-depends: base
               , aeson
               , bytestring
               , common
               , obelisk-frontend
               , obelisk-generated-static
               , obelisk-route
               , reflex-dom
               , reflex-gadt-api
               , text
  exposed-modules:
    Frontend
  ghc-options: -Wall

executable frontend
  main-is: main.hs
  hs-source-dirs: src-bin
  build-depends: base
               , common
               , obelisk-frontend
               , obelisk-route
               , reflex-dom
               , obelisk-generated-static
               , frontend
  --TODO: Make these ghc-options optional
  ghc-options: -threaded
  if os(darwin)
     ghc-options: -dynamic
